import {createApp} from 'vue'
import './style.css'
import App from './App.vue'
// import VueTypedJs from 'vue-typed-js'
import router from "@/router";
import {library} from '@fortawesome/fontawesome-svg-core'
import {FontAwesomeIcon} from '@fortawesome/vue-fontawesome'
import {faClock} from '@fortawesome/free-regular-svg-icons'
import {
  faXmark,
  faBlog,
  faGauge,
  faCodeBranch,
  faCloud,
  faChevronRight,
  faCodeCommit
} from '@fortawesome/free-solid-svg-icons'
import {faWeibo, faQq, faGithubAlt, faSteamSymbol, faGitAlt} from '@fortawesome/free-brands-svg-icons'

library.add(
  faClock, faXmark, faBlog, faGauge, faCodeBranch, faCloud, faWeibo, faQq, faGithubAlt, faSteamSymbol, faChevronRight,
  faCodeCommit, faGitAlt
)

createApp(App).use(router).component('font-awesome-icon', FontAwesomeIcon).mount('#app')
